USN-6851-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-6851-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6851-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6851-2
Published
2024-06-28T19:14:48.975722Z
Modified
2024-06-28T19:14:48.975722Z
Summary
netplan.io regression
Details

USN-6851-1 fixed vulnerabilities in Netplan. The update lead to the discovery of a regression in netplan which caused systemctl enable to fail on systems where systemd is not running. This update fixes the problem.

We apologize for the inconvenience.

Original advisory details:

Andreas Hasenack discovered that netplan incorrectly handled the permissions for netdev files containing wireguard configuration. An attacker could use this to obtain wireguard secret keys.

It was discovered that netplan configuration could be manipulated into injecting arbitrary commands while setting up network interfaces. An attacker could use this to execute arbitrary commands or escalate privileges.

References

Affected packages

Ubuntu:20.04:LTS / netplan.io

Package

Name
netplan.io

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.104-0ubuntu2~20.04.6

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libnetplan-dev": "0.104-0ubuntu2~20.04.6",
            "libnetplan0": "0.104-0ubuntu2~20.04.6",
            "netplan.io": "0.104-0ubuntu2~20.04.6"
        }
    ]
}

Ubuntu:22.04:LTS / netplan.io

Package

Name
netplan.io

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.106.1-7ubuntu0.22.04.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libnetplan-dev": "0.106.1-7ubuntu0.22.04.4",
            "libnetplan0": "0.106.1-7ubuntu0.22.04.4",
            "netplan.io": "0.106.1-7ubuntu0.22.04.4"
        }
    ]
}

Ubuntu:23.10 / netplan.io

Package

Name
netplan.io

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.107-5ubuntu0.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-netplan": "0.107-5ubuntu0.4",
            "libnetplan-dev": "0.107-5ubuntu0.4",
            "netplan-generator": "0.107-5ubuntu0.4",
            "libnetplan0": "0.107-5ubuntu0.4",
            "netplan.io": "0.107-5ubuntu0.4"
        }
    ]
}

Ubuntu:24.04:LTS / netplan.io

Package

Name
netplan.io

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0-2ubuntu1.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-netplan": "1.0-2ubuntu1.2",
            "libnetplan-dev": "1.0-2ubuntu1.2",
            "netplan-generator": "1.0-2ubuntu1.2",
            "netplan.io": "1.0-2ubuntu1.2",
            "libnetplan1": "1.0-2ubuntu1.2"
        }
    ]
}